/*
 * Copyright (c) 2013 David MASSENOT - http://artcustomer.fr/
 * 
 * Permission is hereby granted to use, modify, and distribute this file 
 * in accordance with the terms of the license agreement accompanying it.
 */

package artcustomer.framework.extensions.display.ui.list.scroll {
	import artcustomer.framework.base.IDestroyable;
	
	
	/**
	 * HorizontalScrollBar
	 * 
	 * @author David Massenot
	 */
	public class HorizontalScrollBar extends AbstractListScrollBar implements IDestroyable {
		
		
		/**
		 * Constructor
		 */
		public function HorizontalScrollBar() {
			super();
		}
		
		
		/**
		 * Draw ScrollBar.
		 * 
		 * @param	size
		 */
		override public function draw(size:int):void {
			super.drawBar(size, _thick);
		}
		
		/**
		 * Destructor.
		 */
		override public function destroy():void {
			super.destroy();
		}
	}
}