/*
 * Copyright (c) 2012 David MASSENOT - http://artcustomer.fr/
 * 
 * Permission is hereby granted to use, modify, and distribute this file 
 * in accordance with the terms of the license agreement accompanying it.
 */

package artcustomer.framework.extensions.starling.errors {
	
	
	/**
	 * FrameworkStarlingError
	 * 
	 * @author David Massenot
	 */
	public class FrameworkStarlingError extends Error {
		public static const ERROR_ID:int = 100000;
		
		public static const E_STARLINGCONTEXT_CONSTRUCTOR:String = "StarlingContext is an abstract class ! Don't instantiate it directly !";
		public static const E_ABSTRACTSTARLINGSCENE_CONSTRUCTOR:String = "AbstractStarlingScene is an abstract class ! Don't instantiate it directly !";
		
		
		/**
		 * Throw a FrameworkStarlingError.
		 * 
		 * @param	message
		 * @param	id
		 */
		public function FrameworkStarlingError(message:String = "", id:int = 0) {
			super(message, ERROR_ID + id);
		}
	}
}